#property copyright   "http://www.bestexpertadvisors.com"
#property link        "http://www.bestexpertadvisors.com"
#property description "Our amazing premium EAs and new systems are coming soon."
#property description "You can follow us to get the latest news."

#property strict
#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 White
#property indicator_width1 1
#property indicator_color3 DarkOrange
#property indicator_width3 1
#property indicator_color4 MediumVioletRed
#property indicator_width4 1
#property indicator_color5 DimGray
#property indicator_width5 2
#property indicator_minimum -3.5
#property indicator_maximum 3.5

double buff[];
double sto[];
double rel_sto[];
double rel_prize[];
double diff[];
extern int Stoch_Period=60;
extern int BB_Period=20;
extern int Higher_TF;

int init()
{
SetLevelValue (0,2);
SetLevelValue (1,1);
SetLevelValue (2,-1);
SetLevelValue (3,-2);
SetLevelStyle(STYLE_DOT,1,White);

SetIndexStyle(1,DRAW_NONE);
SetIndexStyle(0,DRAW_LINE);
SetIndexStyle(2,DRAW_LINE);
SetIndexStyle(3,DRAW_LINE);
SetIndexStyle(4,DRAW_HISTOGRAM);

SetIndexBuffer(1,sto);
SetIndexBuffer(0,buff);
SetIndexBuffer(2,rel_sto);
SetIndexBuffer(3,rel_prize);
SetIndexBuffer(4,diff);


IndicatorDigits(Digits+1);
return(0);
}

int start()
{
int i,counted_bars=IndicatorCounted();
if(counted_bars>0) counted_bars--;
i=Bars-counted_bars;
for (i=0;i<Bars-Stoch_Period;i++) {
   int shift=iBarShift(NULL,Higher_TF,iTime(NULL,0,i));
   sto[i] = iStochastic(NULL,0,Stoch_Period,1,1,MODE_SMA,0,MODE_MAIN,i);
}
for (i=0;i<Bars-Stoch_Period;i++) {
   int shift=iBarShift(NULL,Higher_TF,iTime(NULL,0,i));
   double sd_prize = iStdDev(NULL,0,BB_Period,0,MODE_SMA,PRICE_CLOSE,i);
   double ma_prize = iMA(NULL,0,BB_Period,0,MODE_SMA,PRICE_CLOSE,i);
   rel_prize[i] = (Close[i] - ma_prize) * MathPow(sd_prize, -1);
   double sd_sto = iStdDevOnArray(sto,0,BB_Period,0,MODE_SMA,i);
   double ma_sto = iMAOnArray(sto,0,BB_Period,0,MODE_SMA,i);
   rel_sto[i] = (sto[i] - ma_sto) * MathPow(sd_sto, -1);
   buff[i]=(rel_prize[i]-rel_sto[i]);
}
return(0);
}